<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__msg__sub__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_msg_sub_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__msg__sub__t_1af9a5b3dc240d53af365ccdbe3d4594c6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__hdr__t">wiced_bt_avrc_hdr_t</ref></type>
        <definition>wiced_bt_avrc_hdr_t wiced_bt_avrc_msg_sub_t::hdr</definition>
        <argsstring />
        <name>hdr</name>
        <briefdescription>
<para>Message header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="875" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="875" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__sub__t_1a50917b29605f280b42c5f1c7f70efc8a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_msg_sub_t::subunit_type[AVRC_SUB_TYPE_LEN]</definition>
        <argsstring>[AVRC_SUB_TYPE_LEN]</argsstring>
        <name>subunit_type</name>
        <briefdescription>
<para>Array of subunit types (see <ref kindref="member" refid="group__wicedbt__avrc_1AVRC_SUBUNIT_TYPE">AVRC subunit types</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="876" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="876" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__sub__t_1a881def208fa5b904913cace8dea3b21a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_avrc_msg_sub_t::panel</definition>
        <argsstring />
        <name>panel</name>
        <briefdescription>
<para>TRUE if the panel subunit type is in the subunit_type array, FALSE otherwise. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="877" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="877" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__sub__t_1a000ca05ac5ad2fd4ac4a602a0013e4fd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_msg_sub_t::page</definition>
        <argsstring />
        <name>page</name>
        <briefdescription>
<para>Specifies which part of the subunit type table is returned. </para>
        </briefdescription>
        <detaileddescription>
<para>For AVRCP it is typically zero. Value range is 0-7 </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="878" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="878" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SUBUNIT INFO message. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="205">
        <label>wiced_bt_avrc_hdr_t</label>
        <link refid="structwiced__bt__avrc__hdr__t" />
      </node>
      <node id="204">
        <label>wiced_bt_avrc_msg_sub_t</label>
        <link refid="structwiced__bt__avrc__msg__sub__t" />
        <childnode refid="205" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="879" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="873" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="874" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__msg__sub__t_1af9a5b3dc240d53af365ccdbe3d4594c6" virt="non-virtual"><scope>wiced_bt_avrc_msg_sub_t</scope><name>hdr</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__sub__t_1a000ca05ac5ad2fd4ac4a602a0013e4fd" virt="non-virtual"><scope>wiced_bt_avrc_msg_sub_t</scope><name>page</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__sub__t_1a881def208fa5b904913cace8dea3b21a" virt="non-virtual"><scope>wiced_bt_avrc_msg_sub_t</scope><name>panel</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__sub__t_1a50917b29605f280b42c5f1c7f70efc8a" virt="non-virtual"><scope>wiced_bt_avrc_msg_sub_t</scope><name>subunit_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>